# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name cautious-file

%global common_summary Write files cautiously

%global common_description Ways to write a file cautiously, to reduce \
the chances of problems such as data loss due to crashes or power\
failures.If the posix flag is enabled, posix-specific\
functions are used to reduce the chance of data loss further.

Name:           ghc-%{pkg_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-bytestring-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files 


%changelog
* Sun Mar 25 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1-1
- Upgrade to 1.0.1

* Sat Feb 25 2012 Jens Petersen <petersen@redhat.com> - 1.0-2
- depends on bytestring
- simplify summary and improve description format

* Sat Feb 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0-1
- spec file template generated by cabal2spec-0.25.4
- package update to 1.0

* Sun Dec 19 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.1.5-1
- Modified summary and description. License is BSD 3 clause variant.

* Sun Dec 19 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3

